'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DotIcon = function DotIcon(props) {
    return _react2.default.createElement(
        'svg',
        {
            xmlns: 'http://www.w3.org/2000/svg',
            width: props.size,
            height: props.size,
            viewBox: '0 0 10 10'
        },
        _react2.default.createElement('circle', {
            cx: '963',
            cy: '3070',
            r: '5',
            fill: props.fill,
            fillRule: 'evenodd',
            transform: 'translate(-958 -3065)'
        })
    );
};

DotIcon.propTypes = {
    /** The size of the dot */
    size: _propTypes2.default.number,
    /** The fill color for the dot */
    fill: _propTypes2.default.string
};

DotIcon.defaultProps = {
    size: 5,
    fill: '#959595'
};

exports.default = DotIcon;