'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Pane component for the atom of a tabs component */
var Pane = function Pane(props) {
    return _react2.default.createElement(
        'div',
        { className: 'tab-pane' },
        props.children
    );
};

Pane.propTypes = {
    /** The label of the pane */
    label: _propTypes2.default.string.isRequired,

    /** The children or content of the pane */
    children: _propTypes2.default.element.isRequired
};

exports.default = Pane;